Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-12-2009 17:17:19

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Suppression Logiciel

Bonjour à tous,

J'ai enfin réussi à migrer en version Testing. Par contre, même avec un an de système Linux dans les mains, je n'ose pas trop passer en Sid de peur de casses ma distribution.
Tout cela pour dire que j'ai un petit soucis avec certains logiciels comme Evolution, OpenOffice, Cheese ou encore Transmission.

En effet, il m'est complètement impossible de les des-installer sans avoir avoir à des-installer gnome ou gnome-environnement.
Certes, j'ai un disque dur avec assez de place mais vu que je ne les utilise pas du tout, y'a t'il un moyen de les des-installer sans pour autant foutre en l'air gnome?

Merci

Hors ligne

#2 21-12-2009 20:58:08

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : Suppression Logiciel

Salut Berillions.

Peux-tu envoyer ton sources.list ?
Merci

logo_3dminfographie_signature.png

Hors ligne

#3 21-12-2009 22:19:31

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

Voilà mon sources.list :

## squeeze
deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

## squeeze security
deb http://security.debian.org/ testing/updates main contrib non-free
deb-src http://security.debian.org/ testing/updates main contrib non-free

# volatile
deb http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free
deb-src http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free

Hors ligne

#4 21-12-2009 22:23:08

damien
Modo / Rédacteur Wiki
Lieu : St Etienne
Distrib. : Debian Jessie 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome3
Inscription : 22-09-2008
Site Web

Re : Suppression Logiciel

Utilises-tu aptitude ?
Je te conseille vivement d'utiliser aptitude.
aptitude gère mieux les dépendances.

Comment mets-tu à jour ta squeeze ?
Je te conseille

aptitude update


Puis

aptitude safe-upgrade


@+

damien


logo_3dminfographie_signature.png

Hors ligne

#5 21-12-2009 22:34:00

rtfm33
Membre
Lieu : 33
Distrib. : Lenny 5.0.3
(G)UI : LXDE
Inscription : 22-11-2009

Re : Suppression Logiciel

Bonsoir.
C'est un souci que j'avais rencontré quand j'utilisais encore GNOME. (que je recommande d'ailleurs toujours, hein ?! wink)
Effectivement, impossible de supprimer certains paquets (même un simple jeu), car tout est lié au paquet GNOME.
La solution que j'avais adoptée, et qui m'avait donné satisfaction, était de ne pas installer GNOME, mais le paquet gnome-core, qui est un GNOME minimaliste. Et ensuite tu rajoutes ce dont tu as besoin. smile

Cordialement.

userbar9mx3.png

Hors ligne

#6 21-12-2009 23:32:12

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

@damien, je faisais (apt-get update -> apt-get upgrade -> apt-get dist-upgrade)

@rtfm33, comment installer seulement gnome-core?
Je voudrais bien essayé mais je ne sais pas qu'est-ce qui est installé avec ce paquet. Qu'en est-il du son, des paquets concernant Xorg etc...

Ayant pas mal de soucis avec la NetInstall. Perte de connexion en pleine installation, est-ce que le DVD1 suffit-il pour une install basique de Debian ou faut-il que je garde la NetInstall?

Merci

Hors ligne

#7 22-12-2009 00:19:45

rtfm33
Membre
Lieu : 33
Distrib. : Lenny 5.0.3
(G)UI : LXDE
Inscription : 22-11-2009

Re : Suppression Logiciel

Bonsoir.
Pour l'installation minimale de GNOME, tu peux regarder le wiki Debian-Facile.
Par contre c'est une installation qui se fait normalement au départ.
Oui, le dvd1 suffit largement.

Cordialement.
smile

userbar9mx3.png

Hors ligne

#8 22-12-2009 12:07:24

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

Bonjour,

Voilà, j'ai tout de même continuer avec le NetInstall mais j'ai seulement installer le système standard (J'ai décocher Environnement de Bureau).
Cela fait, je reboot pour arriver en mode console et j'installe diférents paquets :

apt-get install gnome-core
apt-get install gdm
apt-get install alsa-base
apt-get install gtk2-engines
apt-get install gnome-themes
apt-get install gnome-system-tools
apt-get install gnome-volume-manager
apt-get install gconf-editor
apt-get install file-roller


Ensuite, je change Lenny par Testing dans les lignes Security et du ftp.
Je fais ensuite comme dit plus haut :

aptitude update
aptitude safe-upgrade


Resultat, une quarantaine de ligne me disant "Resolving dependencies" et 3 lignes d'erreurs à la fin.

The following packages have unmet dependencies
python-apt: Depends: libapt-inst-libc6.7-6-1.1 which is a virtual package
python-apt: Depends: libapt-pkg-libc6.7-6-4.6 which is a virtual package


Bref, je suis censé faire quoi pour passer sans encombre en Squezze?

Merci

Dernière modification par Berillions (22-12-2009 12:10:46)

Hors ligne

#9 22-12-2009 12:35:00

rtfm33
Membre
Lieu : 33
Distrib. : Lenny 5.0.3
(G)UI : LXDE
Inscription : 22-11-2009

Re : Suppression Logiciel

Berillions a écrit :

Bref, je suis censé faire quoi pour passer sans encombre en Squezze?


Bonjour.
Je te renvoie à l'excellente documentation Debian wink
chapitre 3.1.11 "J'utilise actuellement stable. Puis-je changer pour testing ou unstable ? Si oui, comment ?"
que tu trouveras ici.
wink

Cordialement.

Dernière modification par rtfm33 (22-12-2009 12:35:53)


userbar9mx3.png

Hors ligne

#10 22-12-2009 12:38:26

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

Merci pour le lien,
Par contre rtfm33, tu me conseilles quelle branche, la testing ou l'unstable? (Pas envie de casser ma distrib au bout de 2h :s )

Hors ligne

#11 22-12-2009 12:42:35

rtfm33
Membre
Lieu : 33
Distrib. : Lenny 5.0.3
(G)UI : LXDE
Inscription : 22-11-2009

Re : Suppression Logiciel

Avec plaisir. smile
Je te conseille sans hésiter Lenny, la version stable ! lol
Sinon le moindre mal c'est testing, après tout dépend de tes besoins.
Regarde chapitre 3.1du lien que je t'ai donné " Quelle version de Debian (stable/testing/unstable) me convient le mieux ?"

Sinon le wiki Debian-Facile ici peut aussi t'aider à faire un choix.

Cordialement.
smile

Dernière modification par rtfm33 (22-12-2009 12:43:53)


userbar9mx3.png

Hors ligne

#12 22-12-2009 13:55:25

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Suppression Logiciel

Ah Berillions,

Perso, j'installe toujours stable et je fais du pinning avec les autres branches, plutôt que de me mettre direct en testing ou unstable. (voir pinning in the fabulous wiki DF !)

Pour contourner l'effet (papillon) de l'installation du meta paquet gnome (provaqué par apt-get en lambda...), hop, je fais ensuite :

# aptitude update & aptitude safe-upgrade


ce qui pour cet outil : aptitude, permet de marquer les paquets du meta-gnome individuellement.

Je pense que tu peux le faire aussi, d'une manière plus responsable, en ouvrant simplement :

# aptitude


Et la possibilité qui t'y est offerte de marquer les paquets individuellement.

Yop ! wink

Amitié, Jojo


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#13 22-12-2009 14:11:02

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

Re-Bonjour,

Juste pour prévenir que je suis enfin en Testing (et je vais y rester) mais ce fût laborieux. tongue
Par contre, j'ai un petit soucis avec le son. En effet, j'ai installé gnome-volume-manager et lorsque je lance le gestionnaire du son, je trouve bien ma carte son mais en mixer OSS (CMedia PCI (OSS Mixer)). Il n'y a pas de CMedia PCI (Alsa Mixer) alors que j'ai installé le paquet alsa-base.

J'ai du oublié quelque chose mais je ne sais pas quoi :x

Hors ligne

#14 22-12-2009 14:27:23

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Suppression Logiciel

Bjr,
Tu dois avoir dans les menus gnome une entrée pour choisir le gestionnaire de son (un truc du genre système > son).
En même temps si tu choisis alsa alors oss > poubelle

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#15 22-12-2009 15:32:00

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

Salut Phlinux,

Quand je vais dans Système -> Son, c'est la même que lorsque je vais dans le gestionnaire de son via l'icone dans ma barre de menu du bureau. Donc, je n'ai toujours que OSS Mixer...

M'enfin, j'ai du son donc bon, ce n'est pas très grâve.

Hors ligne

#16 22-12-2009 17:11:03

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Suppression Logiciel

re-
Non pas grave, mais tu dois pouvoir choisir le gestionnaire.
A vu de nez je dirais qu'il te manque un paquet alsa pour avoir le choix dans les préférences "son"

Fais voir le résultat d'un

$ dpkg -l |grep alsa


Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

#17 22-12-2009 18:20:50

Berillions
Membre
Distrib. : Squeeze
Noyau : 2.6.39-bpo2
(G)UI : Xfce 4.6
Inscription : 02-05-2009

Re : Suppression Logiciel

Voilà le résultat de la commande :

ii  alsa-base                            1.0.21+dfsg-2              ALSA driver configuration files
ii  alsa-utils                           1.0.21-1                   ALSA utilities
ii  libsdl1.2debian-alsa                 1.2.13-5                   Simple DirectMedia Layer (with X11 and ALSA
ii  libwine-alsa                         1.0.1-2                    Windows API implementation - ALSA sound modu

Hors ligne

#18 23-12-2009 14:33:32

phlinux
Membre
Lieu : S-M
Distrib. : Jessie
Noyau : 4.6
(G)UI : Openbox (+Rox+Feh)
Inscription : 10-05-2009

Re : Suppression Logiciel

re-
bon j'ai mal senti le truc, ça m'a l'air correct.
A tout hasard essaies d'installer alsa-oss qui, je crois donne la main à alsa pour les applis oss (mais c'est sans grande conviction).

Sinon reste le truc de bourrin cité plus, désinstaller les paquets commençant par oss (sauf oss-compat)

Pages perso : feh, omegat, udisks, sa station de travail comme passerelle

Hors ligne

Pied de page des forums